<div class="row clearfix" [@routerTransition]>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card main-content">
            <div class="header">
                <h2>{{ "Courses" | localize }}</h2>
                <ul class="header-dropdown m-r--5">
                    <li>
                        <button mat-icon-button [matMenuTriggerFor]="headerMenu"
                            class="header-dropdown-mat-icon-button">
                            <mat-icon>more_vert</mat-icon>
                        </button>
                        <mat-menu #headerMenu="matMenu">
                            <button mat-menu-item (click)="refresh()">
                                <mat-icon>refresh</mat-icon>
                                <span>{{ "Refresh" | localize }}</span>
                            </button>
                        </mat-menu>
                    </li>
                </ul>
            </div>
            <div class="body table-responsive">
                <table class="table table-hover table-striped" [busy]="isLoading">
                    <thead>
                        <tr>
                            <th>{{ "Title" | localize }}</th>
                            <th>{{ "Credits" | localize }}</th>
                            <th>{{ "Actions" | localize }} </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let course of courses">
                            <td>{{ course.title }}</td>
                            <td>{{ course.credits }}</td>
                            <td class="col-lg-1 col-md-1">
                                <button class="action-button" mat-icon-button [matMenuTriggerFor]="actionsMenu">
                                    <mat-icon>menu</mat-icon>
                                </button>
                                <mat-menu #actionsMenu="matMenu">
                                    <button mat-menu-item (click)="listEnrollments(course)">
                                        <mat-icon>list</mat-icon>
                                        <span>{{ "ListEnrollments" | localize }}</span>
                                    </button>
                                    <button mat-menu-item (click)="delete(course)">
                                        <mat-icon>delete</mat-icon>
                                        <span>{{ "Delete" | localize }}</span>
                                    </button>
                                </mat-menu>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <button mat-mini-fab color="primary" class="pull-right" (click)="createCourse()">
                    <mat-icon>add</mat-icon>
                </button>
            </div>
        </div>
    </div>
</div>